Subject: Re: [Lime] Mid-point review questions for LIME YANG doctors review

From: Benoit Claise <[email-masked]>
Date: Tue, 7 Mar 2017 12:25:17 +0100

Dear all,

[copying the mailing list for visibility]

How is this progressing?
I'm really hoping for updated drafts before the Internet draft 
submission cut-off next Monday.

Regards, Benoit
> Many thanks, Carl!
>
> I am on vacation the week of March 6th, but please do not let that 
> stop you.
>
> Please let me know if there is anything I can help with (logistically 
> or technically) in the mean time.
>
> Thanks,
>
> —
> Carlos Pignataro, [email-masked] <mailto:[email-masked]>
>
> /“Sometimes I use big words that I do not fully understand, to make 
> myself sound more photosynthesis."/
>
>> On Feb 23, 2017, at 6:56 AM, Carl Moberg (camoberg) 
>> <[email-masked] <mailto:[email-masked]>> wrote:
>>
>> Authors, Chairs,
>>
>>
>> I am in the middle of my duties as the assigned YANG doctor for:
>>  draft-ietf-lime-yang-connectionless-oam
>>  draft-ietf-lime-yang-connectionless-oam-methods
>>  draft-ietf-lime-yang-oam-model
>>
>> I have come across a couple of high-level items that I would like to 
>> discuss with the authors. It’s based on the reasonable likelihood 
>> that I don’t understand the subject matter at hand, but need some 
>> clarification to move on.
>>
>> I think my main point is that while the drafts lay out and partly 
>> describes the content of the YANG modules, it does not describe how 
>> to use them. There seems to be an assumption (and that’s my question) 
>> that the client developer consuming the YANG understands the general 
>> concepts and the ordering between configuring the nodes . In the same 
>> vein, it seems to me that the drafts are a little short on the 
>> general terms. And while I don’t think we need to repeat general 
>> terms and names from other specifications, I do think it’s worth 
>> thinking through if the reader is assumed to be familiar with e.g. 
>> 'test point', 'fec', ‘md’ or if we need a brief description of those 
>> and other fundamental terms. These are things that could be captured 
>> and included in an applicability statement.
>>
>> I was thinking to start with these high level questions from myself, 
>> before diving into the more detailed feedback. Hope this makes sense.
>>
>> I would like to suggest a webex/conference call, of course taking 
>> everybody's busy schedule into account.
>>
>> I am out of office next week, but have setup a doodle to find a date 
>> in the week after next:
>> http://doodle.com/poll/rwic8844bvntezsr
>>
>> If none of the suggested slots work, let me know and we’ll look at 
>> other options.
>>
>> --
>> Carl Moberg
>> Technology Director, NFV
>> [email-masked] <mailto:[email-masked]>
>>
>